
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    background: linear-gradient(to top, #faf1fd, #f9dd8a);
    color: #333;
    min-height: 100vh;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 40px;
    background-color: rgba(255, 255, 255, 0.6);
    backdrop-filter: blur(10px);
     box-shadow: 0 4px 15px rgba(0, 0, 0, 0.08);
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
}

.logo {
    font-weight: 700;
    font-size: 18px;
    color: #4b3f72;
}

.nav-links {
    display: flex;
    align-items: center;
    gap: 25px;
    list-style: none;
}

.nav-links a {
    text-decoration: none;
    color: #4b3f72;
    font-weight: 500;
    transition: color 0.3s ease;
}

.nav-links a:hover {
    color: #f9dd8a;
}

.btn-nav {
    padding: 8px 16px;
    color: #fff;
    border-radius: 5px;
    font-weight: 600;
    transition: background-color 0.3s ease;
}


.btn-nav {
    background-color: #f1be73;
    color: white;
    padding: 8px 18px;
    border-radius: 20px;
    font-weight: 600;
    text-decoration: none;
}

.hero {
    height: 92vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    text-align: center;
    padding: 20px;
    background: transparent;
    margin: 0;
    border-radius: 0;
}

.hero h1 {
    font-size: 42px;
    font-weight: 700;
    color: #4b3f72;
    margin-bottom: 20px;
}

.hero p {
    max-width: 600px;
    font-size: 16px;
    color: #555;
    margin-bottom: 30px;
}

.btn-main {
    background-color: rgb(241, 190, 115);
    color: white;
    padding: 12px 25px;
    border-radius: 25px;
    text-decoration: none;
    font-weight: 600;
    transition: 0.3s;
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);

}

.btn-main:hover{
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.2);
    transform: scale(1.05);

}

.btn-main:active{
    transition: 0.5s ease-in;
    transform: translate(-10px);
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.2);
}


@media (max-width: 768px) {
    .nav-links {
        display: none;
    }

    .hero {
        height: auto;
        padding: 40px 20px;
    }

    .hero h1 {
        font-size: 28px;
    }
}